POST api/WishList/SaveWishList
Request Information
URI Parameters
None.
Body Parameters
clsWishListDAL| Name | Description | Type | Additional information |
|---|---|---|---|
| WishListId | globally unique identifier |
None. |
|
| ProductId | globally unique identifier |
None. |
|
| ProductPackageId | globally unique identifier |
None. |
|
| RegistrationId | globally unique identifier |
None. |
|
| WishListNo | string |
None. |
|
| CreationDate | date |
None. |
|
| FromDate | date |
None. |
|
| ToDate | date |
None. |
|
| CartNo | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"wishListId": "fef17795-f0fa-425f-b39a-65523df71dd0",
"productId": "6e711295-478e-4a3b-9efa-fff9cf57f43a",
"productPackageId": "c37a082c-fb9e-4362-ba73-807b76199124",
"registrationId": "5fc5e73b-7378-47bb-b5bf-389f5f00fc9f",
"wishListNo": "sample string 5",
"creationDate": "2026-06-10T16:30:22.4384144+05:30",
"fromDate": "2026-06-10T16:30:22.4384144+05:30",
"toDate": "2026-06-10T16:30:22.4384144+05:30",
"cartNo": 9
}
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |